cgSetStringStateAssignment(3)

NAME
cgSetStringStateAssignment - set the value of a string state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgSetStringStateAssignment( CGstateassignment sa,
                                     const char * value );

PARAMETERS

sa  A handle to a state assignment of type CG_STRING.

value
    The value to which sa will be set.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetStringStateAssignment sets the value of a state assignment of string type.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a string type.

CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

HISTORY
cgSetStringStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgGetStringStateAssignmentValue manpage, the cgSetBoolArrayStateAssignment manpage, the cgSetBoolStateAssignment manpage, the cgSetFloatArrayStateAssignment manpage, the cgSetFloatStateAssignment manpage, the cgSetIntArrayStateAssignment manpage, the cgSetIntStateAssignment manpage, the cgSetProgramStateAssignment manpage, the cgSetSamplerStateAssignment manpage, the cgSetTextureStateAssignment manpage